package com.alexandermerz;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyContent;
import javax.servlet.jsp.tagext.BodyTagSupport;

/**
 * This class is the easiest way to retrieve the content of a tag output
 *
 * @author Alexander Merz <kontakt@alexander-merz.com>
 */
public class OutputBufferTag extends BodyTagSupport {

	private BodyContent content=null;

	public int doEndTag() throws JspException {
		// TODO Auto-generated method stub
		return BodyTagSupport.EVAL_PAGE;
	}

	public int doStartTag() throws JspException {
		// TODO Auto-generated method stub
		return BodyTagSupport.EVAL_BODY_INCLUDE;
	}

	/**
	 * @see javax.servlet.jsp.tagext.IterationTag#doAfterBody()

	 */
	public int doAfterBody() throws JspException
	{
		content=this.getBodyContent();
		return EVAL_PAGE;
	}

    /**
     * Return the buffered output
     *
     * @return String the buffered output
     */
	public String getString() {
		if(content!=null) {
			return content.getString();
		}
		return null;
	}
}
