<?
/**
 * A Wrapper for the Tomcat PageContext object
 * @author Alexander Merz <kontakt@alexander-merz.com>
 */
class Java_Tomcat_PageContext {
    protected $servlet = null;
    protected $response = null;
    protected $request = null;
    protected $out = null;
    protected $pc = null;

    /**
     * Creates the php pagecontext object
     *
     * @param Object Java object $servlet the servlet object
     * @param Object Java object $request the request object
     * @param Object Java object $response the response object
     */
    function __construct($servlet, $request, $response) {
        $this->servlet = $servlet;
        $this->response = $response;
        $this->request = $request;

        $factory = new Java("org.apache.jasper.runtime.JspFactoryImpl");
        $this->pc = $factory->getPageContext($this->servlet, $this->request, $this->response, null, true, 1892, false);
        $this->out = $this->pc->getOut();

    }

    /**
     * Returns the JSPWriter class associated with the PageContext
     *
     * @return Object JSPWriter the writer class of the page context
     */
    function getOut() {
        return $this->out;
    }

    /**
     * Returns the real java page context object
     */
    function getPageContext() {
        return $this->pc;
    }
}

?>
